#------------------------------------------------------------------------------
#
#   Flappy Butterfly - Collision detection
#
#------------------------------------------------------------------------------

CM_UP = 1
CM_DOWN = 2
CM_RIGHT = 4

def find_collision_mask(r, obstacle_rects):
	mask = 0
	for ro in obstacle_rects:
		ri = r.clip(ro)
		if ri:
			if ri.height > ri.width:
				if r.left < ro.left:
					mask |= CM_RIGHT
			else:
				if r.top < ro.top:
					mask |= CM_DOWN
				elif r.bottom > ro.bottom:
					mask |= CM_UP
	return mask
