#------------------------------------------------------------------------------
#
#   Flappy Butterfly - Living Room Scene
#
#------------------------------------------------------------------------------

from pygame import Rect
from pygame.transform import rotozoom
from albow.resource import get_image, get_sound
from albow.image_array import get_image_array
from scene import Scene, Entity, Fixture
from vector_algebra import vadd, vrotate

#------------------------------------------------------------------------------

class TV(Entity):

	images = get_image_array("tv-pictures.png", 8)

	def __init__(self, x, y):
		self.topleft = (x, y)
		self.state = 0
		self.phase = 6
	
	def draw_back(self, surf):
		surf.blit(self.images[self.phase], self.topleft)
	
	def trigger(self, state):
		if self.state == 0:
			if state.player.is_flapping():
				self.state = 1
				self.phase = 0
				self.timeout = 50
	
	def begin_frame(self, state):
		s = self.state
		if s == 1:
			if self.timeout > 0:
				self.timeout -= 1
				self.phase = (self.phase + 1) % 6
			else:
				self.state = 2
				self.phase = 7
				state.inc_mishaps()
				self.mishap_sound()

#------------------------------------------------------------------------------

class Scene3(Scene):

	background = "scene3.png"

	start_position = (0, 345)

	obstacles = [
		Rect(87, 328, 140, 312),
		Rect(227, 458, 164, 182),
		Rect(527, 231, 168, 350),
		Rect(956, 0, 50, 135),
		Rect(956, 422, 50, 218),
	]
	
	def __init__(self, state):
		super().__init__(state)
		tv = TV(603, 310)
		self.entities = [
			tv,
		]
		self.triggers = [
			(tv, Rect(290, 129, 159, 208)),
		]

