#------------------------------------------------------------------------------
#
#   Flappy Butterfly - Vector Algebra
#
#------------------------------------------------------------------------------

from math import pi, sin, cos

deg = pi / 180

def vadd(u, v):
	return (u[0] + v[0], u[1] + v[1])

def vrotate(v, adeg):
	a = adeg * deg
	s = sin(a)
	c = cos(a)
	return (
		c * v[0] - s * v[1],
		s * v[0] + c * v[1]
	)
